/* Author: Ivan Andreev */
/* License: GPL */





$(function(){
	
	


	
	
	
	radialAnimations( $(".radial") );
	
	
	
	
	// функия radialAnimations
	function radialAnimations ( elem ){
		if( !elem.length ) return;
		
		//анимации кругляшов при событии - можно заменить например на elem.click();
		elem.hover(function(){
			// нашли внутренние кружки элемента
			var thisRound = $(this).find('.wrapper').children('.round');
			
			// сразу уберем анимацию со всех кружков кроме того который всегда вращается
			thisRound.each(function(id){
				if( $(this).parent().parent().hasClass('active') ){
					$(this).removeClass('spinner'+id);
				}
			});
			
			// протоглим класс 'эктив'
			$(this).toggleClass('active');
			
			// ели присвоен активный класс - то ...
			if( elem.hasClass('active') ){
				thisRound.each(function(id){
					var elem = $(this).not('.rnd-5');
					setTimeout(function(){
						elem.addClass('spinner'+(id+1));
					},200*id);
				});
			}
			
			// в противном случае ...
			else{
				thisRound.reverseEach(function(id){
					var elem = $(this).not('.rnd-5');
					setTimeout(function(){
						elem.removeClass('spinner'+(id+1));
					},250*id);
				});
			}

		});

		// тултип
        elem.each(function(){
            var tooltipText = $(this).find('h3').text();
            if ( tooltipText ) $('<span/>', {class: 'tooltip', text: tooltipText}).appendTo($(this));
        });
	}



    // reverse each (fn)
    $.fn.reverseEach = (function () {
        var list = $([1]);
        return function (c) {
            var el, i=this.length;
            try {
                while (i-->0 && (el=list[0]=this[i]) && c.call(list,i,el)!==false);
            }
            catch(e) {
                delete list[0];
                throw e;
            }
            delete list[0];
            return this.get(0);
        };
    }());
	
	
});